Bug 117302 - Disabling cookies deletes per domain cookie handling settings
Summary: Disabling cookies deletes per domain cookie handling settings
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: kcookiejar (show other bugs)
Version: 3.4.2
Platform: unspecified Linux
: NOR normal with 12 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-29 22:13 UTC by Anders E. Andersen
Modified: 2007-09-03 06:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anders E. Andersen 2005-11-29 22:13:58 UTC
Version:           3.4.2 (using KDE 3.4.2, Debian Package 4:3.4.2-4 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.14-asus-1

Suppose you have had cookies enabled for a while with the ask setting. Eventually you will accumulate a lot of per domain settings for rejecting or accepting cookies.

If you disable cookies entirely, this list is cleared.

It should only be cleared when you click the clear all button and accept. Disabling cookies should preserve the list.
Comment 1 Philip Rodrigues 2006-09-07 23:58:12 UTC
Confirmed on 3.5 branch r575787
Comment 2 Dawit Alemayehu 2007-09-03 06:30:18 UTC
SVN commit 707819 by adawit:

- Do not loose the domain-specific cookie policies when cookie support is disabled and re-enabled again.

BUG:117302


 M  +1 -1      kcookiespolicies.cpp  


--- branches/KDE/3.5/kdebase/kcontrol/kio/kcookiespolicies.cpp #707818:707819
@@ -313,12 +313,12 @@
   dlg->cbAutoAcceptSessionCookies->setChecked (sessionCookies);
   bool cookieExpiration = cfg.readBoolEntry("IgnoreExpirationDate", false);
   dlg->cbIgnoreCookieExpirationDate->setChecked (cookieExpiration);
+  updateDomainList(cfg.readListEntry("CookieDomainAdvice"));
 
   if (enableCookies)
   {
     ignoreCookieExpirationDate( cookieExpiration );
     autoAcceptSessionCookies( sessionCookies );
-    updateDomainList(cfg.readListEntry("CookieDomainAdvice"));
     updateButtons();
   }